.product-images {
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: column-reverse;
  gap: 8px;

  > .slider-thumbs .swiper-wrapper {
    justify-content: center;
  }

  > .slider-thumbs .swiper-slide {
    height: fit-content;
    border: 1px solid transparent;
    overflow: hidden;
    opacity: 0.4;
    transition: opacity 0.2s, border-color 0.1s;
    cursor: pointer;

    &.swiper-slide-thumb-active {
      opacity: 1;
      border-color: var(--gray-1);
    }
  }

  > .slider-thumbs .image {
    pointer-events: none;

    &::after {
      padding-bottom: var(--product-image-height);
    }

    img {
      pointer-events: none
    }
  }

  > .main-slider {
    width: 100%;

    // Label do zoom
    &.swiper-initialized::after {
      content: 'Toque duas vezes para zoom';
      position: absolute;
      z-index: 5;
      bottom: 1rem;
      left: 50%;
      transform: translateX(-50%);
      display: inline-block;
      padding: 0.5rem 1.5rem;
      border-radius: 10px;
      background-color: var(--gray-3);
      opacity: 0.7;
      font-size: 1rem;
      color: var(--white);
      white-space: nowrap;

      @include media('md') {
        content: 'Clique duas vezes para zoom';
      }
    }

    &.swiper-initialized.-single-click::after {
      @include media('md') {
        content: 'Clique para zoom';
      }
    }

    // Texto do label quando está definido como zoom no hover
    &.-hover-zoom {
      &::after {
        @include media('md') {
          content: 'Passe o mouse para zoom';
        }
      }
      
      .swiper-slide.-zoomed { cursor: zoom-in !important }
    }
  }

  > .main-slider .swiper-slide {
    cursor: zoom-in;
    overflow: hidden;
    &.-zoomed {
      cursor: zoom-out;
      .image {
        transition: transform 0.05s linear !important;
      }
    }
  }

  > .main-slider .image img {
    object-fit: cover !important;
  }

  // Garante funcionamento do zoom, e ajusta proporção
  > .main-slider .swiper-slide .image,
  > .main-slider .swiper-slide .video {
    overflow: unset;

    &::after {
      padding-bottom: var(--product-image-height)
    }
  }

  // Slides inativos/escondidos conforme troca de SKU
  > .slider-thumbs .swiper-slide,
  > .main-slider .swiper-slide {
    &.-inactive { display: none }
  }

  .slider-thumbs {
    width: 100%;
    height: auto;
    display: none;

    @include media('md') {
      display: block;
      z-index: 5;
    }
  }

  .swiper-pagination {
    display: none;
  }
}
